Package com.germinus.easyconf

# Class ConfigurationNotFoundException

NestableRuntimeException
com.germinus.easyconf.ConfigurationException
com.germinus.easyconf.ConfigurationNotFoundException

public class ConfigurationNotFoundException extends ConfigurationException
Thrown when the base properties file is not found and the getProperties method is explicitly called in the configuration

Author:
  jferrer

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`ConfigurationNotFoundException(String componentName)`
``
`ConfigurationNotFoundException(String componentName, String msg)`
``
`ConfigurationNotFoundException(String componentName, String msg, Throwable thr)`
`protected`
`ConfigurationNotFoundException(String componentName, Throwable e)`

## Method Summary

### Methods inherited from class com.germinus.easyconf.ConfigurationException

`getComponentName, getMessage`

## Constructor Details

### ConfigurationNotFoundException

public ConfigurationNotFoundException(String componentName, String msg, Throwable thr)

### ConfigurationNotFoundException

protected ConfigurationNotFoundException(String componentName)

### ConfigurationNotFoundException

protected ConfigurationNotFoundException(String componentName, Throwable e)

### ConfigurationNotFoundException

public ConfigurationNotFoundException(String componentName, String msg)